Subscriptions

Subscription totals

Returns summary totals for the same subscription dataset as the
subscriptions list endpoint. All returned *_date timestamps are in UTC.

GET /api/v1/store/subscriptions/totals

Subscription totals

curl --request GET \
  --url 'https://{baseUrl}/api/v1/store/subscriptions/totals' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "data": {
    "count": 12,
    "total_items": 19,
    "total_mrr": 349.5,
    "total_arr": 4194,
    "average_subscription_items": 1.6
  }
}

No response description.

Authorizations

  • Authorization string required header

    Generate a store API key from the store's Metorik API settings in Metorik, and choose the scopes needed for the endpoints you want to call.

Query Parameters

  • search string

    Search term to filter subscriptions before totaling. Example: [email protected]

Headers

  • Accept string required

    Response format header. Example: application/json

Response

application/json
  • data object
    + Show Child Attributes
    • count integer
    • total_items integer
    • total_mrr number
    • total_arr integer
    • average_subscription_items number